# Packmangroup: Multimedia
# Packmanpackagename: ffmpeg
# Packman : Manfred Tremmel
# Packmanpackagedesc: <p>Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder</p>
# Packmanpackagedesc_de: <p>Hyperschneller MPEG1/MPEG4/H263/RV und AC3/MPEG Audio-Encoder</p>

%define name      ffmpeg
%define version   0.4.9
%define release   3.pm.pre1
%define major     0
%define lib       libffmpeg
%define libname   %{lib}%{major}

Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        LGPL
Group:          Video
Summary:        Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Summary(de):    Hyperschneller MPEG1/MPEG4/H263/RV Und AC3/MPEG Audio-Encoder
URL:            http://ffmpeg.sourceforge.net

Source0:        ffmpeg-0.4.9-pre1.tar.bz2

Patch0:         ffmpeg_amd64.diff
BuildRoot:      %{_tmppath}/%{name}-buildroot
Prefix:         %{_prefix}
Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SUSE Linux 9.2 (i586)
Requires:       %{libname} = %{version}-%{release}
Requires:       imlib2
Requires:       lame
Requires:       libogg
Requires:       libvorbis
Requires:       ncurses
Requires:       esound
Requires:       alsa
Requires:       freetype2
Requires:       SDL
Requires:       slang
Requires:       XFree86-libs
Requires:       zlib
Requires:       faad2
BuildRequires:  imlib2-devel
BuildRequires:  lame
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  ncurses-devel
BuildRequires:  esound-devel
BuildRequires:  alsa-devel
BuildRequires:  freetype2-devel
BuildRequires:  SDL-devel
BuildRequires:  slang-devel
BuildRequires:  XFree86-devel
BuildRequires:  zlib-devel
BuildRequires:  faad2-devel

# Packmandepends: imlib2 libffmpeg0 lame libogg libvorbis faad2

%description
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%description -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von einer Standard-Video4Linux-Quelle grabben und in verschiedene
Dateiformate basierend auf einer DCT/motion compensation konvertiern.
Sound wird in einen MPEG audio layer 2 oder AC3 Stream geschrieben.

%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of ffmpeg
Provides:       %{lib} = %{version}-%{release}
Requires:       lame
Requires:       libogg
Requires:       libvorbis
Requires:       zlib
BuildRequires:  lame
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  zlib-devel

%description -n %{libname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%description -n %{libname} -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von einer Standard-Video4Linux-Quelle grabben und in verschiedene
Dateiformate basierend auf einer DCT/motion compensation konvertiern.
Sound wird in einen MPEG audio layer 2 oder AC3 Stream geschrieben.

Installieren sie libffmpeg, wenn Sie Multimdia-Streamd encoden wollen.

%package -n %{libname}-devel
Group:          Development/C
Summary:        Header files and static library for the ffmpeg codec library
Requires:       %{libname} = %{version}-%{release}
Provides:       %{lib}-devel = %{version}-%{release}
# Packmandepends: libffmpeg0

%description -n %{libname}-devel
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%description -n %{libname}-devel -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von einer Standard-Video4Linux-Quelle grabben und in verschiedene
Dateiformate basierend auf einer DCT/motion compensation konvertiern.
Sound wird in einen MPEG audio layer 2 oder AC3 Stream geschrieben.

Installieren Sie libffmpeg-devel wenn Sie Anwendungen mit ffmpeg Support
compilieren wollen.

%prep
%setup -q -n %{name}-%{version}-pre1
%ifarch x86_64 amd64 ia32e
%patch0 -p1
%endif
#don't call ldconfig on install
perl -pi -e 's/ldconfig \|\| true//' libavcodec/Makefile

%build
%ifarch x86_64 amd64 ia32e
  export archflags=" -fPIC"
%else
  export archflags=""
%endif

%if %suse_version >= 910
  export CFLAGS="$RPM_OPT_FLAGS -fno-unit-at-a-time $archflags"
%else
  export CFLAGS="$RPM_OPT_FLAGS $archflags"
%endif

./configure --prefix=%{buildroot}%{_prefix} --mandir=%{buildroot}%{_mandir} \
            --libdir=%{buildroot}%{_libdir} --enable-shared --enable-mp3lame \
            --enable-vorbis --enable-pp --enable-gpl --enable-a52 --enable-faad
make

%install
rm -rf $RPM_BUILD_ROOT
ln -s libavformat libav
make DESTDIR=%{buildroot} mandir=%{buildroot}%{_mandir} install installlib
install -d %buildroot/%_libdir/libavcodec
pushd %buildroot/%_libdir/libavcodec && ln -sf ../libavcodec.a && popd
rm -rf doc/CVS

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING CREDITS Changelog INSTALL README doc
%{_bindir}/*
%{_libdir}/vhook/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.a
%{_libdir}/libavcodec/*

%changelog
* Fri Nov 23 2004 Detlef Reichelt <detlef@dreichelt.de>
- changes for x86_64:
 - added CFLAGS= -fPIC
 - added patch for
   - edit libavcodec/Makefile  /lib --> /lib64
   - edit libavformat/Makefile /lib --> /lib64
   - edit vhook/Makefile       /lib --> /lib64

* Sun Oct 31 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added --enable-a52 --enable-faad

* Fri Oct 29 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.4.9 pre1
- added --enable-gpl

* Mon May 17 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added --enable-pp to configure for Rainers vlc package

* Mon May 03 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- some little changes for SuSE 9.1

* Fri Oct 03 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.4.8 final

* Sat Aug 30 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.4.7 final

* Thu Mar 27 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- added packman headers
- added german translations

* Sat Dec 28 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de> 0.4.6
- update to 0.4.6 final

* Sat Dec 21 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de> 0.4.6-0.20021220
- compile for SuSE
- update to current cvs

* Sun Dec 15 2002 Yves Duret <yves@zarb.org> 0.4.6-0.20021209.2mdk
- use make installlib instead of doing it by hand.
- added a symlink %_libdir/libavcodec/libavcodec.a to .. for some soft that
  search libavcodec.a here.

* Mon Dec  9 2002 Götz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20021209.1mdk
- add avformat stuff for gstreamer
- add vhook plugins
- build with imlib2 support
- new snapshot

* Mon Oct 28 2002 Götz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20021028.1mdk
- latest CVS snapshot

* Mon Aug 19 2002 Han Boetes <han@linux-mandrake.com> 0.4.6-0.20020819.1mdk
- update a bit
- Minor cleanups

* Wed Jul 10 2002 Götz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20020710.1mdk
- change the major to 0.4.6
- new cvs snapshot

* Thu Jun 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020605.2mdk
- enabled mmx again, there is runtime detection (Götz Waschk <waschk@linux-mandrake.com>)

* Thu Jun 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020605.1mdk
- updated snapshot
- fixed build
- disabled mmx :-(
- documentation for main package only
- added missing binaries

* Sat May 18 2002 Yves Duret <yduret@mandrakesoft.com> 0.4.6-0.20020417.4mdk
- include libavcodec.a (no official release with a stable API -> static linking).
- fix FAQ missing (now in doc/FAQ).

* Wed May 15 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020417.3mdk
- fixed wrong release

* Wed May 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020417.2mdk
- added missing provides

* Wed Apr 17 2002 Götz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20020417.1mdk
- update to CVS snapshot
- build shared library
- split package
- don't use %%configure, it's not an autoconf script
- add header files

* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- added in contribs by Götz Waschk <waschk@linux-mandrake.com> :
        - removed ffserver, because it doesn't work according to the FAQ
        - initial package


# end of file
